Bug 1249690 - RFE: Default keyboard shortcut for new Gnome terminal window
RFE: Default keyboard shortcut for new Gnome terminal window
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
22
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 10:58 EDT by Viktor Jancik
Modified: 2016-01-31 21:25 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-07 05:28:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viktor Jancik 2015-08-03 10:58:50 EDT
Description of problem:
It would be nice, in the spirit of Developer Experience, if there was a preset shortcut for launching a new Terminal window, like it is on Ubuntu.
That is Ctrl+Alt+T

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Click Ctrl+Alt+T

Actual results:
Nothing happens.

Expected results:
New Gnome Terminal window opens.

Additional info:
Comment 1 Florian Müllner 2015-09-04 07:37:21 EDT
All the "launch foo" shortcuts (browser, email, calculator etc.) are provided by gnome-settings-daemon's media-keys plugin. There's nothing special about terminals that requires this to be provided by the window manager, so moving back.
Comment 2 Rui Matos 2015-09-04 08:25:32 EDT
This kind of request for enhancement should be discussed in the ML or discussed on a workstation group IRC meeting. Or perhaps even better, upstream in GNOME.
Comment 3 Florian Müllner 2015-09-04 11:33:33 EDT
(In reply to Rui Matos from comment #2)
> Or perhaps even better, upstream in GNOME.

There was some upstream discussion when the pre-defined shortcut was removed. Basically there's no keysym for terminals, so a predefined launcher is not necessary to make hardware work out-of-the-box - which means it is really not different from any other custom launcher, and was thus removed.
Comment 4 Bastien Nocera 2015-09-07 05:28:22 EDT
(In reply to Florian Müllner from comment #3)
> (In reply to Rui Matos from comment #2)
> > Or perhaps even better, upstream in GNOME.
> 
> There was some upstream discussion when the pre-defined shortcut was
> removed. Basically there's no keysym for terminals, so a predefined launcher
> is not necessary to make hardware work out-of-the-box - which means it is
> really not different from any other custom launcher, and was thus removed.

What Florian said.

Note You need to log in before you can comment on or make changes to this bug.